// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef BivariateRepresentations_server_manager_modules_data_h
#define BivariateRepresentations_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.12.0/Plugins/BivariateRepresentations/Representations/BivariateRepresentations.xml
static const char* const BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"representations\">\n"
"    <RepresentationProxy name=\"BivariateNoiseRepresentation\"\n"
"                         class=\"vtkBivariateNoiseRepresentation\"\n"
"                         processes=\"client|renderserver|dataserver\"\n"
"                         base_proxygroup=\"representations\"\n"
"                         base_proxyname=\"SurfaceRepresentation\">\n"
"      <Documentation>\n"
"        This representation displays the values of the secondary array in the form of noise.\n"
"      </Documentation>\n"
"\n"
"      <StringVectorProperty name=\"NoiseArray\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"int int int int str\"\n"
"                            default_values=\"1 0 0 0 0\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array_point_1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the input array displayed with noise.\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Granularity\"\n"
"                            command=\"SetFrequency\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"30.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"150.0\"/>\n"
"        <Documentation>\n"
"          This property specifies a value for the granularity (frequency) of the noise.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"Amplitude\"\n"
"                            command=\"SetAmplitude\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"0.5\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"1.0\"/>\n"
"        <Documentation>\n"
"          This property specifies a value for the amplitude of the noise.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <DoubleVectorProperty name=\"AnimationSpeedFactor\"\n"
"                            command=\"SetSpeed\"\n"
"                            number_of_elements=\"1\"\n"
"                            default_values=\"1.0\">\n"
"        <DoubleRangeDomain name=\"range\" min=\"0.0\" max=\"3.0\"/>\n"
"        <Documentation>\n"
"          This property specifies a factor modifying the speed animation of the noise animation.\n"
"        </Documentation>\n"
"      </DoubleVectorProperty>\n"
"\n"
"      <IntVectorProperty name=\"NbOfOctaves\"\n"
"                         command=\"SetNbOfOctaves\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"3\">\n"
"        <IntRangeDomain name=\"range\" min=\"0\" max=\"5\"/>\n"
"        <Documentation>\n"
"          This property specifies the number of octaves of noise (overlaping layers of noise).\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"    <!-- End of BivariateNoiseRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard GeometryRepresentation by adding\n"
"        BivariateNoiseRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BivariateNoiseRepresentation\"\n"
"                          text=\"Bivariate Noise Surface\"\n"
"                          subtype=\"Surface\"/>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"BivariateNoiseRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BivariateNoiseRepresentation\">\n"
"        </Proxy>\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\"/>\n"
"          <Exception name=\"Visibility\"/>\n"
"          <Exception name=\"Representation\"/>\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bivariate representation\">\n"
"            <Property name=\"NoiseArray\"/>\n"
"            <Property name=\"Granularity\"/>\n"
"            <Property name=\"Amplitude\"/>\n"
"            <Property name=\"AnimationSpeedFactor\"/>\n"
"            <Property name=\"NbOfOctaves\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bivariate Noise Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    <!-- End of GeometryRepresentation Extension -->\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UnstructuredGridRepresentation by adding\n"
"        BivariateNoiseRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BivariateNoiseRepresentation\"\n"
"                          text=\"Bivariate Noise Surface\"\n"
"                          subtype=\"Surface\"/>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"BivariateNoiseRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BivariateNoiseRepresentation\">\n"
"        </Proxy>\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\"/>\n"
"          <Exception name=\"Visibility\"/>\n"
"          <Exception name=\"Representation\"/>\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bivariate representation\">\n"
"            <Property name=\"NoiseArray\"/>\n"
"            <Property name=\"Granularity\"/>\n"
"            <Property name=\"Amplitude\"/>\n"
"            <Property name=\"AnimationSpeedFactor\"/>\n"
"            <Property name=\"NbOfOctaves\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bivariate Noise Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    <!-- End of UnstructuredGridRepresentation Extension -->\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding\n"
"        BivariateNoiseRepresentation as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BivariateNoiseRepresentation\"\n"
"                          text=\"Bivariate Noise Surface\"\n"
"                          subtype=\"Surface\"/>\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"BivariateNoiseRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BivariateNoiseRepresentation\">\n"
"        </Proxy>\n"
"\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\"/>\n"
"          <Exception name=\"Visibility\"/>\n"
"          <Exception name=\"Representation\"/>\n"
"        </ShareProperties>\n"
"\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bivariate representation\">\n"
"            <Property name=\"NoiseArray\"/>\n"
"            <Property name=\"Granularity\"/>\n"
"            <Property name=\"Amplitude\"/>\n"
"            <Property name=\"AnimationSpeedFactor\"/>\n"
"            <Property name=\"NbOfOctaves\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bivariate Noise Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    <!-- End of UniformGridRepresentation Extension -->\n"
"    </Extension>\n"
"\n"
"    <RepresentationProxy name=\"BivariateTextureRepresentation\"\n"
"      class=\"vtkBivariateTextureRepresentation\"\n"
"      processes=\"client|renderserver|dataserver\"\n"
"      base_proxygroup=\"representations\"\n"
"      base_proxyname=\"SurfaceRepresentation\">\n"
"      <Documentation>\n"
"        This representation generates 2D texture coordinates from 2 choosen point data arrays\n"
"        and provide default textures to visualize bi-variate data.\n"
"      </Documentation>\n"
"      <StringVectorProperty name=\"FirstArray\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"int int int int str\"\n"
"                            default_values=\"1 0 0 0 0\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array_point_1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the first point data array used to compute texture\n"
"          coordinates (first component).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"      <StringVectorProperty name=\"SecondArray\"\n"
"                            command=\"SetInputArrayToProcess\"\n"
"                            number_of_elements=\"5\"\n"
"                            element_types=\"int int int int str\"\n"
"                            default_values=\"2 0 0 0 0\">\n"
"        <ArrayListDomain name=\"array_list\"\n"
"                         attribute_type=\"Scalars\"\n"
"                         input_domain_name=\"input_array_point_1\">\n"
"          <RequiredProperties>\n"
"            <Property name=\"Input\" function=\"Input\"/>\n"
"          </RequiredProperties>\n"
"        </ArrayListDomain>\n"
"        <Documentation>\n"
"          This property specifies the name of the second point data array used to compute texture\n"
"          coordinates (second component).\n"
"        </Documentation>\n"
"      </StringVectorProperty>\n"
"\n"
"      <SubProxy command=\"SetLogoSourceRepresentation\">\n"
"        <Proxy name=\"LogoSourceRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"LogoSourceRepresentation\">\n"
"        </Proxy>\n"
"      </SubProxy>\n"
"    <!-- End of BivariateTextureRepresentation -->\n"
"    </RepresentationProxy>\n"
"\n"
"    <Extension name=\"GeometryRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard GeometryRepresentation by adding BivariateTextureRepresentation\n"
"        as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BivariateTextureRepresentation\"\n"
"                          text=\"Bivariate Texture Surface\"\n"
"                          subtype=\"Surface\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"BivariateTextureRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BivariateTextureRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"          <Exception name=\"Representation\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bivariate representation\">\n"
"            <Property name=\"FirstArray\"/>\n"
"            <Property name=\"SecondArray\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bivariate Texture Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    <!-- End of GeometryRepresentation Extension -->\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UnstructuredGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UnstructuredGridRepresentation by adding BivariateTextureRepresentation\n"
"        as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BivariateTextureRepresentation\"\n"
"                          text=\"Bivariate Texture Surface\"\n"
"                          subtype=\"Surface\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"BivariateTextureRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BivariateTextureRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"          <Exception name=\"Representation\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bivariate representation\">\n"
"            <Property name=\"FirstArray\"/>\n"
"            <Property name=\"SecondArray\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bivariate Texture Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
"      </SubProxy>\n"
"    <!-- End of UnstructuredGridRepresentation Extension -->\n"
"    </Extension>\n"
"\n"
"    <Extension name=\"UniformGridRepresentation\">\n"
"      <Documentation>\n"
"        Extends standard UniformGridRepresentation by adding BivariateTextureRepresentation\n"
"        as a new type of representation.\n"
"      </Documentation>\n"
"\n"
"      <RepresentationType subproxy=\"BivariateTextureRepresentation\"\n"
"                          text=\"Bivariate Texture Surface\"\n"
"                          subtype=\"Surface\" />\n"
"\n"
"      <SubProxy>\n"
"        <Proxy name=\"BivariateTextureRepresentation\"\n"
"               proxygroup=\"representations\"\n"
"               proxyname=\"BivariateTextureRepresentation\">\n"
"        </Proxy>\n"
"        <ShareProperties subproxy=\"SurfaceRepresentation\">\n"
"          <Exception name=\"Input\" />\n"
"          <Exception name=\"Visibility\" />\n"
"          <Exception name=\"Representation\" />\n"
"        </ShareProperties>\n"
"        <ExposedProperties>\n"
"          <PropertyGroup label=\"Bivariate representation\">\n"
"            <Property name=\"FirstArray\"/>\n"
"            <Property name=\"SecondArray\"/>\n"
"            <Hints>\n"
"              <PropertyWidgetDecorator type=\"GenericDecorator\"\n"
"                                       mode=\"visibility\"\n"
"                                       property=\"Representation\"\n"
"                                       value=\"Bivariate Texture Surface\"/>\n"
"            </Hints>\n"
"          </PropertyGroup>\n"
"        </ExposedProperties>\n"
;

// From file /builddir/build/BUILD/ParaView-v5.12.0/Plugins/BivariateRepresentations/Representations/BivariateRepresentations.xml
static const char* const BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface1 =
"      </SubProxy>\n"
"    <!-- End of UniformGridRepresentation Extension -->\n"
"    </Extension>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* BivariateRepresentations_server_manager_modulesBivariateRepresentationsGetInterfaces()
{

  const size_t len0 = strlen(BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface0);
  const size_t len1 = strlen(BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface1);
  size_t len = ( 0
    + len0
    + len1 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface0, BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface0 + len0, res + offset); offset += len0;
  std::copy(BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface1, BivariateRepresentations_server_manager_modulesBivariateRepresentationsInterface1 + len1, res + offset); offset += len1;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
