// Loadable modules
//
// Generated by ../../bin/vtkProcessXML
//
#ifndef StereoCursorView_server_manager_modules_data_h
#define StereoCursorView_server_manager_modules_data_h

#include <cstring>
#include <cassert>
#include <algorithm>


// From file /builddir/build/BUILD/ParaView-v5.12.0/Plugins/StereoCursorView/StereoCursorViews/StereoCursorView.xml
static const char* const StereoCursorView_server_manager_modulesStereoCursorViewInterface0 =
"<ServerManagerConfiguration>\n"
"  <ProxyGroup name=\"views\">\n"
"    <RenderViewProxy  name=\"StereoCursorView\"\n"
"                      class=\"vtkPVStereoCursorView\"\n"
"                      label=\"Stereo Cursor View\"\n"
"                      processes=\"client|renderserver|dataserver\"\n"
"                      base_proxygroup=\"views\"\n"
"                      base_proxyname=\"RenderView\">\n"
"      <Documentation>\n"
"        The Stereo Cursor View is a Render View containing a 3D cursor. The 3D cursor is a widget that is created\n"
"        alongside the view. It is placed in the scene depending on the position of the mouse: if it hovers an actor,\n"
"        the cursor is placed on its surface. If not, the cursor is placed on the focal plane of the camera. For now,\n"
"        the cursor only work with surfacic data.\n"
"      </Documentation>\n"
"      <IntVectorProperty name=\"CursorShape\"\n"
"                         command=\"SetCursorShape\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"0\">\n"
"        <EnumerationDomain name=\"enum\">\n"
"          <Entry text=\"Cross\" value=\"0\"/>\n"
"          <Entry text=\"Sphere\" value=\"1\"/>\n"
"        </EnumerationDomain>\n"
"        <Documentation>\n"
"          Set the shape of the cursor.\n"
"        </Documentation>\n"
"      </IntVectorProperty>\n"
"      <IntVectorProperty name=\"SetCursorSize\"\n"
"                         command=\"SetCursorSize\"\n"
"                         number_of_elements=\"1\"\n"
"                         default_values=\"15\">\n"
"        <Documentation>\n"
"          Set the size of the cursor in pixels.\n"
"        </Documentation>\n"
"        <IntRangeDomain name=\"range\" min=\"1\" max=\"100\"/>\n"
"      </IntVectorProperty>\n"
"      <PropertyGroup label=\"Stereo Cursor\">\n"
"        <Property name=\"CursorShape\"/>\n"
"        <Property name=\"SetCursorSize\"/>\n"
"      </PropertyGroup>\n"
"      <Hints>\n"
"        <HideCursor/>\n"
"      </Hints>\n"
"    </RenderViewProxy>\n"
"  </ProxyGroup>\n"
"</ServerManagerConfiguration>\n"
"\n";
// Get single string
inline char* StereoCursorView_server_manager_modulesStereoCursorViewGetInterfaces()
{

  const size_t len0 = strlen(StereoCursorView_server_manager_modulesStereoCursorViewInterface0);
  size_t len = ( 0
    + len0 );
  char* res = new char[ len + 1];
  size_t offset = 0;
  std::copy(StereoCursorView_server_manager_modulesStereoCursorViewInterface0, StereoCursorView_server_manager_modulesStereoCursorViewInterface0 + len0, res + offset); offset += len0;
  assert(offset == len);
  res[offset] = 0;
  return res;
}



#endif
